Subject: bug#41261: 27.0.90; Dired default file operation target no longer guessed

From: Kévin Le Gouguec <[email-masked]>
Date: Thu, 14 May 2020 17:20:10 +0200

Wojciech Siewierski <[email-masked]> writes:

> Test scenario, from 'emacs -Q':
> 1. Open two dired buffers in two windows.
> 2. Try moving a file by pressing 'R'.
> 3. The currently suggested directory should be the file's original
>    directory, that's expected.
> 4. Press M-n.
> 5. The currently suggested directory should be the directory of the
>    second buffer window.
>
> That was the case in Emacs 26.3 but not in Emacs 27.0.90 which now
> changes the moved file's directory into its full current path upon
> pressing M-n.  Just to be clear, I do not want the second directory to
> be the initial default (i.e. what setting dired-dwim-target to t would
> do), I only expect this behavior after pressing M-n.

If I'm not mistaken, this change in behaviour has been introduced in
bug#35385.  I, too, prefer the default behaviour in 26.3, where Dired
suggests the other window's directory *after pressing M-n*.